This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 823587 - [as5, as7 plugin] JAVA_OPTS and EAP server command line arguments (start script work)
[as5, as7 plugin] JAVA_OPTS and EAP server command line arguments (start scri...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
3.0.0
All All
urgent Severity high (vote)
: ---
: JON 3.1.0
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On: 772223
Blocks: jon310-sprint11/rhq44-sprint11
  Show dependency treegraph
 
Reported: 2012-05-21 11:10 EDT by Jay Shaughnessy
Modified: 2013-09-03 11:14 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 772223
Environment:
Last Closed: 2013-09-03 11:14:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jay Shaughnessy 2012-05-21 11:10:36 EDT
+++ This bug was initially created as a clone of Bug #772223 +++

Description of problem:
No ability to specify JAVA_OPTS or EAP server command line arguments within JON v3.0 Inventory Connection settings.

Version-Release number of selected component (if applicable):
v3.0

How reproducible:
Start an EAP server with command line arguments.e.g.-Djboss.service.binding.set=ports-01.
Inventory the EAP server into JON
Shutdown the EAP server via JON Operations
Start the EAP server vi JON Operations

Steps to Reproduce:
1.Start a EAP server with command line arguments
2.Inventory the EAP server into JON
3. Shutdown the EAP server
4. Start the EAP server
  
Actual results:
Server will start using the default port bindings

Expected results:
Specify all command line arguments for the EAP server to successfully start.

Additional info:
At a minimum, adding two properties to the "Operations Group" of an EAP server "Connections Settings" for specifying "JAVA_OPTS" and server command line arguments.
Also, inventorying of JAVA_OPTS and/or command line arguments when inventorying an EAP server would be highly desirable as this would eliminate the need to manually specifying these properties after inventorying an EAP server.
Comment 1 Jay Shaughnessy 2012-05-21 11:12:39 EDT
This is for 3.1 Cherry picks for 772223 and, if necessary, 812400.
Comment 2 Jay Shaughnessy 2012-05-21 11:21:55 EDT
Cherry pick commits:
723ceaa88d2dca94559a4042e6b27b5a37b5084c
5631b77357a6596dd3d8b7f3811a866ec07947b8
Comment 3 Jay Shaughnessy 2012-05-21 11:26:27 EDT
Ignore above commit hashes, they were local. 

Correct release/jon3.1.x commits for the cherry-picked commits:
  2eb3800f0b2367144fcd9f33baf7aed789bdf6d3
  b1f434d25de060b809df7c971ca554512ea73b77
Comment 4 Filip Brychta 2012-06-08 08:48:13 EDT
Verified on 3.1.0.CR3.
Comment 5 Heiko W. Rupp 2013-09-03 11:14:57 EDT
Bulk closing of old issues in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.